Feature [infrastructure.alauda.io/v1alpha1]

Type
object

Specification

PropertyTypeDescription
apiVersionstring
kindstring
metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject
statusobject

.spec

Type
object
Required
versiontype
PropertyTypeDescription
accessInfoobject

accessInfo defines the server info,if the addon support some interface to access. eg promtheus, grafana

deployInfoobject
instanceTypestring

instanceType defines the tool to support the type. eg: prometheus, fluentd

resourceInfoarray

resourceInfo defines all the resource the addons contains

typestring

type defines the type of the addon. eg: metric, log, application etc...

versionstring

version defines the version of the addon. it is used to compare with the version of the instance to descide upgrade or not

.spec.accessInfo

Description
accessInfo defines the server info,if the addon support some interface to access. eg promtheus, grafana
Type
object

.spec.deployInfo

Type
object

.spec.resourceInfo

Description
resourceInfo defines all the resource the addons contains
Type
array

.spec.resourceInfo[]

Type
object
PropertyTypeDescription
kindstring
namestring
namespacestring

.status

Type
object
PropertyTypeDescription
statusobject

.status.status

Type
object

API Endpoints

The following API endpoints are available:

  • /apis/infrastructure.alauda.io/v1alpha1/features
    • DELETE: delete collection of Feature
    • GET: list objects of kind Feature
    • POST: create a new Feature
  • /apis/infrastructure.alauda.io/v1alpha1/features/{name}
    • DELETE: delete the specified Feature
    • GET: read the specified Feature
    • PATCH: partially update the specified Feature
    • PUT: replace the specified Feature
  • /apis/infrastructure.alauda.io/v1alpha1/features/{name}/status
    • GET: read status of the specified Feature
    • PATCH: partially update status of the specified Feature
    • PUT: replace status of the specified Feature

/apis/infrastructure.alauda.io/v1alpha1/features

HTTP method
DELETE
Description
delete collection of Feature
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind Feature
HTTP responses
HTTP codeResponse body
200 - OKFeatureList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new Feature
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyFeature schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKFeature schema
201 - CreatedFeature schema
202 - AcceptedFeature schema
401 - UnauthorizedEmpty

/apis/infrastructure.alauda.io/v1alpha1/features/{name}

HTTP method
DELETE
Description
delete the specified Feature
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified Feature
HTTP responses
HTTP codeResponse body
200 - OKFeature schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified Feature
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKFeature schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified Feature
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyFeature schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKFeature schema
201 - CreatedFeature schema
401 - UnauthorizedEmpty

/apis/infrastructure.alauda.io/v1alpha1/features/{name}/status

HTTP method
GET
Description
read status of the specified Feature
HTTP responses
HTTP codeResponse body
200 - OKFeature schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified Feature
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKFeature schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified Feature
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyFeature schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKFeature schema
201 - CreatedFeature schema
401 - UnauthorizedEmpty